aboutsummaryrefslogtreecommitdiffstats
path: root/trunk/verify-shell
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/verify-shell')
-rwxr-xr-xtrunk/verify-shell31
1 files changed, 31 insertions, 0 deletions
diff --git a/trunk/verify-shell b/trunk/verify-shell
new file mode 100755
index 0000000..3aeefe6
--- /dev/null
+++ b/trunk/verify-shell
@@ -0,0 +1,31 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandriva Linux
+# Module : rpm-helper
+# File : verify-shell
+# Version : $Id$
+# Author : Thierry Vignaud
+# Created On : Tue Nov 5 13:52:20 2002
+# Purpose : helper script for rpm scriptlets to check a
+# shell is in /etc/shells
+#---------------------------------------------------------------
+
+if [ $# != 3 ]; then
+ echo "usage: $0 <pkg name> <number installed> <shell name>" 1>&2
+ exit 1
+fi
+
+pkg=$1 # name of the package
+num=$2 # number of packages installed
+shl=$3 # name of the shell
+
+CFG_FILE=/etc/shells
+
+
+echo -n "Looking for $shl in /etc/shells... "
+if ! grep "^/bin/${shl}\$" /etc/shells > /dev/null; then
+ echo "missing"
+ echo "${shl} missing from /etc/shells" >&2
+else
+ echo "found"
+fi